using Percent___Qualification_work.Forms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Percent___Qualification_work
{
    internal static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            // Create an instance of the login form
            LoginForm loginForm = new LoginForm();

            // Show login form as a dialog. It blocks the main thread until closed
            if (loginForm.ShowDialog() == DialogResult.OK) // if login is successful
            {
                // Show the main form after a successful login
                Application.Run(new main()); // Main application form runs here
            }
        }

    }
}
